Get the active managed desktop viewer auth key and browser URL
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/stream/auth-key"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/stream/auth-key \
--header 'Authorization: Bearer <token>'{
"auth_key": "<string>",
"viewer_url": "<string>",
"view_only": true,
"expires_at": "2023-11-07T05:31:56Z"
}Desktop
Get the active managed desktop viewer auth key and browser URL
GET
/
v1
/
machines
/
{id}
/
desktop
/
stream
/
auth-key
Get the active managed desktop viewer auth key and browser URL
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/stream/auth-key"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/stream/auth-key \
--header 'Authorization: Bearer <token>'{
"auth_key": "<string>",
"viewer_url": "<string>",
"view_only": true,
"expires_at": "2023-11-07T05:31:56Z"
}Authorizations
API key passed as Bearer token
Path Parameters
Machine ID (e.g. mch_a1b2c3d4)
Response
200 - application/json
Managed viewer auth key and browser URL for the current session